> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate bank payout

> Simulate a bank payout to calculate fees and exchange rates.



## OpenAPI

````yaml post /api/v1/account/users/{uid}/accounts/{aid}/bank-payouts/simulate
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/users/{uid}/accounts/{aid}/bank-payouts/simulate:
    post:
      tags:
        - payouts
      summary: Simulate bank payout
      description: Simulate a bank payout to calculate fees and exchange rates.
      parameters:
        - description: User ID
          in: path
          name: uid
          required: true
          schema:
            type: string
        - description: Account ID
          in: path
          name: aid
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/dto.SimulateBankPayoutRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.SimulatePayoutResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    dto.SimulateBankPayoutRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/dto.SimulateBankPayoutRequest'
      description: Payout details (see description for rules)
      required: true
  schemas:
    dto.SimulatePayoutResponse:
      properties:
        destination:
          $ref: '#/components/schemas/domain.Money'
        fee:
          $ref: '#/components/schemas/dto.FeeResponse'
        origin:
          $ref: '#/components/schemas/domain.Money'
        quote:
          $ref: '#/components/schemas/dto.FXQuote'
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.SimulateBankPayoutRequest:
      properties:
        amounts:
          $ref: '#/components/schemas/dto.BankPayoutAmounts'
        recipient:
          $ref: '#/components/schemas/dto.SimulateBankPayoutRecipient'
      required:
        - amounts
        - recipient
      type: object
    domain.Money:
      properties:
        amount:
          description: 'Amount in cents. Ex: 12345 = 123.45€'
          example: 1000
          type: integer
        currency:
          description: USD, EUR, etc.
          enum:
            - EUR
            - USD
            - MXN
            - CAD
            - BRL
            - COP
            - PEN
            - BOB
            - CLP
            - ARS
            - UYU
            - PYG
            - CNY
            - HKD
            - MYR
            - USDT
            - USDC
            - EURC
            - BTC
            - ETH
          example: CURRENCY
          type: string
      required:
        - currency
      type: object
    dto.FeeResponse:
      properties:
        amount:
          example: 100
          type: integer
        breakdown:
          $ref: '#/components/schemas/dto.FeeBreakdown'
        currency:
          example: EUR
          type: string
      type: object
    dto.FXQuote:
      properties:
        rate:
          example: 1.08
          type: number
        timestamp:
          example: '2025-01-15T10:30:00Z'
          type: string
        validUntil:
          example: '2025-01-15T10:30:30Z'
          type: string
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    dto.BankPayoutAmounts:
      properties:
        debitedAmount:
          $ref: '#/components/schemas/domain.Money'
        receivedAmount:
          $ref: '#/components/schemas/domain.Money'
      required:
        - debitedAmount
        - receivedAmount
      type: object
    dto.SimulateBankPayoutRecipient:
      properties:
        bankCountry:
          example: ES
          type: string
        routingData:
          description: >-
            How the destination bank account is identified: IBAN (SEPA), SWIFT
            (international wire) or WIRE (US domestic Fedwire).
          enum:
            - SEPA
            - IBAN
            - SWIFT
            - WIRE
          example: SEPA
          type: string
      required:
        - bankCountry
        - routingData
      type: object
    dto.FeeBreakdown:
      properties:
        merchantFee:
          example: 40
          type: integer
        systemFee:
          example: 60
          type: integer
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````